<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/tools"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    app:ignore="NamespaceTypo">

    <data>

        <variable
            name="viewModel"
            type="com.phlx.anchorcollect.ui.fragment.vm.CollectVM" />

        <variable
            name="spinnerAdapter"
            type="android.widget.ArrayAdapter" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_bg"
        android:padding="10dp">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_vertical"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            binding:layout_constraintGuide_percent="0.45" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_tag"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:background="@drawable/bg_radius_stroke_white_5"
            android:orientation="vertical"
            android:padding="5dp"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toLeftOf="@+id/tv_info_desc"
            binding:layout_constraintTop_toTopOf="parent"
            binding:onClickCommand="@{viewModel.onTagInputClick}">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="tag"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/sp_10" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@{viewModel.tag}"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_12" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/tv_info_desc"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:background="@drawable/bg_radius_white_5"
            android:gravity="center"
            android:layout_marginLeft="5dp"
            binding:layout_constraintBottom_toBottomOf="@+id/ll_tag"
            binding:layout_constraintLeft_toRightOf="@+id/ll_tag"
            binding:onClickCommand="@{viewModel.onCattleInfoClick}"
            binding:layout_constraintRight_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toTopOf="@+id/ll_tag">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/niuxinxi"
                android:drawablePadding="2dp"
                android:text="信息"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_12" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <!--称重区-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_weight"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintBottom_toTopOf="@+id/cl_weight_change"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toBottomOf="@+id/ll_tag">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="10dp"
                android:text="目前体重"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_12"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_weight"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.weight}"
                android:textColor="#ec6e79"
                android:textSize="60sp"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintHorizontal_chainStyle="packed"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintRight_toLeftOf="@+id/tv_unit"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg"
                android:textColor="#ec6e79"
                android:textSize="@dimen/sp_20"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_weight"
                binding:layout_constraintLeft_toRightOf="@+id/tv_weight"
                binding:layout_constraintRight_toRightOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>


        <!--重量变化区-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_weight_change"
            android:layout_width="0dp"
            android:layout_height="81dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toBottomOf="@+id/cl_weight">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title_ADG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_marginRight="70dp"
                android:text="ADG"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_14"
                binding:layout_constraintBottom_toTopOf="@+id/tv_title_BWG"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintRight_toLeftOf="@+id/tv_unit_ADG"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit_ADG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg/天"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_14"
                binding:layout_constraintLeft_toRightOf="@+id/tv_title_ADG"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toTopOf="@+id/tv_title_ADG" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_ADG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:text="0.9"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_18"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_unit_ADG"
                binding:layout_constraintRight_toLeftOf="@+id/tv_unit_ADG" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title_BWG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="总增重量"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_14"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_ADG"
                binding:layout_constraintTop_toBottomOf="@+id/tv_title_ADG" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit_BWG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_14"
                binding:layout_constraintRight_toRightOf="@+id/tv_unit_ADG"
                binding:layout_constraintTop_toTopOf="@+id/tv_title_BWG" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_BWG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:text="83"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_18"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_unit_BWG"
                binding:layout_constraintRight_toLeftOf="@+id/tv_unit_BWG" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--右侧表格区-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginLeft="5dp"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toLeftOf="@+id/guideline_vertical"
            binding:layout_constraintRight_toRightOf="parent"
            binding:layout_constraintTop_toTopOf="parent">


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_100"
                android:layout_width="98dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_radius_white_5"
                binding:layout_constraintBottom_toBottomOf="@+id/card_3"
                binding:layout_constraintHorizontal_chainStyle="spread_inside"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintRight_toLeftOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_1">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_cattle_photo"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:onClick="@{() ->viewModel.click(100)}"
                    android:src="@{viewModel.drawableImg}"
                    binding:url="@{viewModel.uiList.get(17).value}" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_0"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(0)}"
                binding:layout_constraintLeft_toRightOf="@+id/card_100"
                binding:layout_constraintRight_toLeftOf="@+id/card_1"
                binding:layout_constraintTop_toTopOf="@+id/card_1">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(0).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(0).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_1"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(1)}"
                binding:layout_constraintBottom_toTopOf="@+id/card_3"
                binding:layout_constraintLeft_toRightOf="@+id/card_0"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toTopOf="parent"
                binding:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(1).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(1).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_2"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(2)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_3">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(2).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(2).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_3"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(3)}"
                binding:layout_constraintBottom_toTopOf="@+id/card_6"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toBottomOf="@+id/card_1"
                binding:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(3).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(3).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_4"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(4)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_100"
                binding:layout_constraintTop_toTopOf="@+id/card_6">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(4).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(4).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_5"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(5)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_6">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(5).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(5).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_6"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(6)}"
                binding:layout_constraintBottom_toTopOf="@+id/card_9"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toBottomOf="@+id/card_3"
                binding:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(6).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(6).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_7"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(7)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_100"
                binding:layout_constraintTop_toTopOf="@+id/card_9">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(7).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(7).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_8"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(8)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_9">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_8"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(8).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(8).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_9"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(9)}"
                binding:layout_constraintBottom_toTopOf="@+id/card_12"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toBottomOf="@+id/card_6"
                binding:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_9"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(9).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(9).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_10"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(10)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_100"
                binding:layout_constraintTop_toTopOf="@+id/card_12">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_10"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(10).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(10).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_11"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(11)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_12">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_11"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(11).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(11).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_12"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(12)}"
                binding:layout_constraintBottom_toTopOf="@+id/card_15"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toBottomOf="@+id/card_9"
                binding:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_12"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(12).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(12).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_13"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(13)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_100"
                binding:layout_constraintTop_toTopOf="@+id/card_15">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_13"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(13).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(13).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_14"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(14)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_15">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_14"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(14).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(14).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_15"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(15)}"
                binding:layout_constraintBottom_toTopOf="@+id/card_save"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toBottomOf="@+id/card_12"
                binding:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_15"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(15).title}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(15).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_16"
                android:layout_width="0dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(16)}"
                binding:layout_constraintLeft_toLeftOf="@+id/card_100"
                binding:layout_constraintRight_toRightOf="@+id/card_0"
                binding:layout_constraintTop_toTopOf="@+id/card_save">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="5dp">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_16"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{viewModel.uiList.get(16).title}"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:text="@{viewModel.uiList.get(16).name}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_save"
                android:layout_width="98dp"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintRight_toRightOf="parent"
                binding:layout_constraintTop_toBottomOf="@+id/card_15"
                binding:layout_constraintVertical_chainStyle="spread_inside"
                binding:onClickCommand="@{viewModel.onCardSaveClick}">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_button_orange_gradient"
                    android:gravity="center"
                    android:text="保存"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>